## depqbf 3.04

=== DepQBF4J-0.1/src/depqbf4j/Makefile ===
#JAVA_HOME=/usr/lib/jvm/java-6-sun-1.6.0.26
JAVAC=/usr/bin/javac
JAVAH=/usr/bin/javah

.PHONY: all clean

all: DepQBF4J.class Example_basic_api_example.class Example_basic_api_example2.class Example_basic_api_example3.class Example_basic_manual_selectors.class

DepQBF4J.class: DepQBF4J.java
	$(JAVAC) DepQBF4J.java

Example_basic_api_example.class: Example_basic_api_example.java DepQBF4J.class
	$(JAVAC) -classpath .. Example_basic_api_example.java
	
Example_basic_api_example2.class: Example_basic_api_example2.java DepQBF4J.class
	$(JAVAC) -classpath .. Example_basic_api_example2.java

Example_basic_api_example3.class: Example_basic_api_example3.java DepQBF4J.class
	$(JAVAC) -classpath .. Example_basic_api_example3.java

Example_basic_manual_selectors.class: Example_basic_manual_selectors.java DepQBF4J.class
	$(JAVAC) -classpath .. Example_basic_manual_selectors.java

clean:
	rm -f *.class

## depqbf 0.1

=== debian/changelog ===
depqbf (0.1-1) unstable; urgency=low

  * Initial release (Closes: #639363)

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Fri, 26 Aug 2011 10:56:08 +0200

=== debian/control ===
Source: depqbf
Section: interpreters
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Krennwallner <tkren@kr.tuwien.ac.at>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.2
DM-Upload-Allowed: yes
Homepage: http://fmv.jku.at/depqbf/
Vcs-Git: git://git.debian.org/debian-science/packages/depqbf.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/depqbf.git;a=summary

Package: depqbf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: solver for quantified boolean formulae
 DepQBF is a search-based solver for quantified boolean formulae (QBF)
 in prenex conjunctive normal form. It is based on the DPLL algorithm
 for QBF with conflict-driven clause and solution-driven cube
 learning. By analyzing the structure of a formula, DepQBF tries to
 identify independent variables. In addition to other benefits, this
 often increases freedom for decision making.

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

# examine a Webserver directory
http://fmv.jku.at/depqbf/depqbf-(.*)\.tar\.gz

## depqbf 1.0

=== debian/changelog ===
depqbf (1.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Bump Standards-Version and update Homepage and Description,
    Build-Depends on dpkg-dev.
  * debian/copyright: Update Format, Upstream-Contact, Source, and Copyright.
  * debian/watch: Scan github for version tags.
  * debian/patches/depqbf-makefile.patch: Add hardening support.
  * debian/rules: Enable dpkg-buildflags.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Sun, 12 Aug 2012 22:02:14 +0200

depqbf (0.1-2) unstable; urgency=low

  * debian/copyright: Fix unversioned-copyright-format-uri lintian
    warning.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Mon, 26 Sep 2011 08:33:16 +0200

=== debian/control ===
Source: depqbf
Section: interpreters
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Krennwallner <tkren@kr.tuwien.ac.at>
Build-Depends: debhelper (>= 8.0.0), dpkg-dev (>= 1.16.1~)
DM-Upload-Allowed: yes
Standards-Version: 3.9.3.1
Homepage: http://lonsing.github.com/depqbf/
Vcs-Git: git://git.debian.org/debian-science/packages/depqbf.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/depqbf.git;a=summary

Package: depqbf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: solver for quantified boolean formulae
 DepQBF is a search-based solver for quantified boolean formulae (QBF)
 in prenex conjunctive normal form. It is based on the DPLL algorithm
 for QBF, called QDPLL, with conflict-driven clause and solution-driven
 cube learning. By analyzing the syntactic structure of a formula,
 DepQBF tries to identify independent variables. In general, information
 on independent variables can be represented in the formal framework of
 dependency schemes. DepQBF computes the so-called "standard dependency
 scheme" of a given formula. In addition to other benefits, information
 on independent variables often increases the freedom for decision
 making and clause learning.

## depqbf 2.0

=== debian/changelog ===
depqbf (2.0-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/depqbf-makefile.patch: quilt refresh.
  * debian/compat: Bump version.
  * debian/control: Bump Standards-Version, Build-Depends.
  * debian/copyright: Update year.
  * debian/docs: Add NEWS.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Thu, 19 Sep 2013 12:36:40 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,8 @@
 Priority: extra
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Krennwallner <tkren@kr.tuwien.ac.at>
-Build-Depends: debhelper (>= 8.0.0), dpkg-dev (>= 1.16.1~)
-DM-Upload-Allowed: yes
-Standards-Version: 3.9.3.1
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~)
+Standards-Version: 3.9.4
 Homepage: http://lonsing.github.com/depqbf/
 Vcs-Git: git://git.debian.org/debian-science/packages/depqbf.git
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/depqbf.git;a=summary

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

# examine github tags
http://githubredir.debian.net/github/lonsing/depqbf/ version-(.*).tar.gz

## depqbf 3.02

=== debian/changelog ===
depqbf (3.02-1) unstable; urgency=low

  * New upstream release.
  * Add support for libqdpll.
  * debian/install: Install libqdpll.* and qdpll.h.
  * debian/docs: Add examples directory.
  * debian/links: Symlink libqdpll.so.1.0.
  * debian/patches/depqbf-makefile.patch: quilt refresh.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Thu, 24 Apr 2014 07:27:13 +0200

depqbf (3.01-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Sun, 20 Apr 2014 08:20:11 +0200

depqbf (3.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Bump Standards-Version to 3.9.5.
  * debian/patches/depqbf-makefile.patch: quilt refresh.
  * debian/copyright: Fix years.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Thu, 20 Feb 2014 16:31:40 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Krennwallner <tkren@kr.tuwien.ac.at>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://lonsing.github.com/depqbf/
 Vcs-Git: git://git.debian.org/debian-science/packages/depqbf.git
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/depqbf.git;a=summary

## depqbf 3.04

=== debian/changelog ===
depqbf (3.04-1) unstable; urgency=medium

  * Initial upstream branch.
  * Imported Upstream version 3.02 and 3.04.
  * debian/control:
    - Bump Standards-Version to 3.9.6.
    - Fix Vcs fields to use anonscm.debian.org.
  * debian/watch: Use github archive instead of deprecated
    githubredir.debian.net.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Sat, 04 Oct 2014 10:25:42 +0200

## depqbf 5.0

=== DepQBF4J-0.2/jni/Makefile ===
LPATH=-L.
CFLAGS=-Wextra -Wall -Wno-unused -pedantic -std=c99 -DNDEBUG -O3 
#JAVA_HOME=/usr/lib/jvm/java-6-sun-1.6.0.26
JAVAC=/usr/bin/javac
JAVAH=/usr/bin/javah
OBJECTS=DepQBF4J.o
DEPQBF_DIR=depqbf
LIBDEPQBF4J=libdepqbf4j.so
LIBQDPLL=$(DEPQBF_DIR)/libqdpll.a
JAVA_PACKAGE=depqbf4j
JAVA_PATH_PREFIX=../src
JAVA_INTERFACE_CLASS=$(JAVA_PATH_PREFIX)/$(JAVA_PACKAGE)/DepQBF4J.class
JAVA_INTERFACE_SOURCE=$(JAVA_PATH_PREFIX)/$(JAVA_PACKAGE)/DepQBF4J.java
DEPQBF_CFLAGS=$(shell sed -n 's/^CFLAGS=\(.*\)$$/\1/p' $(DEPQBF_DIR)/makefile) -fPIC

MAJOR=1
MINOR=0
VERSION=$(MAJOR).$(MINOR)

.PHONY: clean cleanall

$(LIBDEPQBF4J): $(LIBDEPQBF4J).$(VERSION)
	ln -fs $@.$(VERSION) $@

$(JAVA_INTERFACE_CLASS): $(JAVA_INTERFACE_SOURCE)
	$(MAKE) -C $(JAVA_PATH_PREFIX)/$(JAVA_PACKAGE)/

depqbf4j_DepQBF4J.h: $(JAVA_INTERFACE_CLASS)
	$(JAVAH) -classpath $(JAVA_PATH_PREFIX)/ $(JAVA_PACKAGE).DepQBF4J

$(LIBQDPLL):
	$(MAKE) -C $(DEPQBF_DIR)/ libqdpll.a CFLAGS="$(DEPQBF_CFLAGS)"
	$(MAKE) -C $(DEPQBF_DIR) 

DepQBF4J.o: DepQBF4J.c depqbf4j_DepQBF4J.h
	$(CC) $(CFLAGS) -fPIC -c DepQBF4J.c -I $(JAVA_HOME)/include -I $(JAVA_HOME)/include/linux

$(LIBDEPQBF4J).$(VERSION): $(OBJECTS) $(LIBQDPLL)
	$(CC) $(CFLAGS) $(OBJECTS) $(LIBQDPLL) -shared -Wl,-soname,depqbf4j.so.$(MAJOR) -o $@

clean:
	rm -f DepQBF4J.o depqbf4j_DepQBF4J.h $(LIBDEPQBF4J).$(VERSION) $(LIBDEPQBF4J)

cleanall: clean
	$(MAKE) -C $(JAVA_PATH_PREFIX)/$(JAVA_PACKAGE)/ clean
	$(MAKE) -C $(DEPQBF_DIR)/ clean

=== debian/changelog ===
depqbf (5.0-1) unstable; urgency=medium

  * Imported Upstream version 5.0
  * refresh depqbf-makefile.patch
  * depqbf.lintian-overrides: add override for no-shlibs-control-file for
    internal libqdpll.so.1.0

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Tue, 22 Dec 2015 09:17:35 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Krennwallner <tkren@kr.tuwien.ac.at>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://lonsing.github.com/depqbf/
-Vcs-Git: git://git.debian.org/debian-science/packages/depqbf.git
-Vcs-Browser: http://git.debian.org/?p=debian-science/packages/depqbf.git;a=summary
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/depqbf.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/depqbf.git;a=summary
 
 Package: depqbf
 Architecture: any

## depqbf 5.01

=== DepQBF4J-0.2/src/depqbf4j/Makefile ===
#JAVA_HOME=/usr/lib/jvm/java-6-sun-1.6.0.26
JAVAC=/usr/bin/javac
JAVAH=/usr/bin/javah

.PHONY: all clean

all: DepQBF4J.class Example_basic_api_example.class Example_basic_api_example2.class Example_basic_api_example3.class Example_basic_manual_selectors.class Example_basic_clause_groups_api_example.class

DepQBF4J.class: DepQBF4J.java
	$(JAVAC) DepQBF4J.java

Example_basic_api_example.class: Example_basic_api_example.java DepQBF4J.class
	$(JAVAC) -classpath .. Example_basic_api_example.java

Example_basic_clause_groups_api_example.class: Example_basic_clause_groups_api_example.java DepQBF4J.class
	$(JAVAC) -classpath .. Example_basic_clause_groups_api_example.java

Example_basic_api_example2.class: Example_basic_api_example2.java DepQBF4J.class
	$(JAVAC) -classpath .. Example_basic_api_example2.java

Example_basic_api_example3.class: Example_basic_api_example3.java DepQBF4J.class
	$(JAVAC) -classpath .. Example_basic_api_example3.java

Example_basic_manual_selectors.class: Example_basic_manual_selectors.java DepQBF4J.class
	$(JAVAC) -classpath .. Example_basic_manual_selectors.java

clean:
	rm -f *.class

=== debian/changelog ===
depqbf (5.01-3) unstable; urgency=medium

  * debian/tests: add dep8 testsuite

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Sat, 05 May 2018 12:58:06 +0200

depqbf (5.01-2) unstable; urgency=medium

  * debian/gbp.conf: pristine-tar is True
  * debian/control: cleanup for Standards-Version 4.1.4
    - set Priority optional
    - Build-Depends on debhelper (>= 11)
    - use secure Homepage https://lonsing.github.io/depqbf/
    - update Vcs-* for https://salsa.debian.org/science-team/depqbf
  * fix DEB_BUILD_MAINT_OPTIONS and install changelog
    - debian/rules: add DEB_BUILD_MAINT_OPTIONS = hardening=+all
    - install NEWS as upstream changelog
  * debian/copyright: fix Upstream-Contact, use secure Format and Source
  * debian/compat: set to 11

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Sat, 05 May 2018 09:46:34 +0200

depqbf (5.01-1) unstable; urgency=medium

  * New upstream version 5.01
  * bump Standards-Version to 3.9.8, no changes needed
  * debian/control: fix Vcs-Browser link
  * debian/depqbf.lintian-overrides: add non-dev-pkg-with-shlib-symlink

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Sun, 27 Nov 2016 17:21:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: depqbf
 Section: interpreters
-Priority: extra
+Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Krennwallner <tkren@kr.tuwien.ac.at>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.6
-Homepage: http://lonsing.github.com/depqbf/
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/depqbf.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/depqbf.git;a=summary
+Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.16.1~)
+Standards-Version: 4.1.4
+Homepage: https://lonsing.github.io/depqbf/
+Vcs-Git: https://salsa.debian.org/science-team/depqbf.git
+Vcs-Browser: https://salsa.debian.org/science-team/depqbf
 
 Package: depqbf
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# for hardening support https://wiki.debian.org/Hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

# install NEWS as changelog
override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/tests/control ===
Tests: depqbf0, depqbf1, depqbf2
Depends: @

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

# examine github releases
https://github.com/lonsing/depqbf/releases /lonsing/depqbf/archive/version-(\d[\d\.]*)\.tar\.gz
